List jobs
List your jobs with their state and visibility.
GET https://cotlet.dev/api/v1/homerun/jobs
read
Returns each job with its ID, title, state and visibility, in the order of the Jobs page. Draft jobs are visible only to the hiring team, which includes the account the agent uses. Use the ID in every other call.
Parameters
| Name | Type | Description |
|---|---|---|
| state string | string | draft, active or archived. Default active. |
| visibility string | string | public, private or closed. Only for active jobs. |
Request
curl https://cotlet.dev/api/v1/homerun/jobs \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("homerun", "list_jobs") const result = await cotlet.call('homerun', 'list_jobs'); cotlet call homerun list_jobs Example response
{
"jobs": [
{
"job_id": "job_3b7e91",
"title": "Customer Success Manager",
"state": "active",
"visibility": "public"
},
{
"job_id": "job_9d4a27",
"title": "Product Designer",
"state": "active",
"visibility": "public"
},
{
"job_id": "job_c51f08",
"title": "Office Manager",
"state": "active",
"visibility": "private"
}
]
}